require 'csv'
rainfall_data =CSV.read('wazimarainfall.csv',headers: true)

max_rainfall = 0.0
max_hour = 0
rainfall_data.each do |row|
  if row['rainfall'].to_f >
max_rainfall
    max_rainfall = row['rainfall'].to_f
    max_hour = row['hour'].to_i
  end
end
puts "最も降水量が多い時間帯は #{max_hour}時で、降水量は #{max_rainfall} mm です。"
